/**
 *  changeAction
 * 
 *  @author   $Author: mumincacao $
 *  @version  $Name:  $ $RCSfile: changeAction.js,v $ $Revision: 1.5 $ $Date: 2006/12/25 08:45:23 $
 * 
 *  @requires mController
 *  @member   mController
**/
{
 /**
  *  defaultView
  * 
  *  @private
 **/
 this._defaultView = 'executeViewIndex';

 /**
  *  model object
  * 
  *  @private
 **/
 this._model = null;

 /**
  *  init
  * 
  *  @param   mModel  model  // target model object
  * 
  *  @return  void
 **/
 this.init = function(model)
 {
  this._model = model;
 };

 /**
  *  execute
  * 
  *  @param   mRequst  request  // request object
  *  @param   string   tplName  // arguments
  * 
  *  @return  string
 **/
 this.execute = function(request,tplName)
 {
  this._model.init(request);
  mUtils.config.setConfig('language',this._model.get('lang'));
  mUtils.language.loadDirLanguage(function(){},{});
  // return view name string
  return this._defaultView;
 };

 /**
  *  executeViewIndex
  * 
  *  @param   mRender  render  // render object
  * 
  *  @return  void
 **/
 this.executeViewIndex = function(render)
 {
  mUtils.context.setDefaultView(render);
 };

};
